

function [ZT_0,Y_0] = HO_Z_cval_1(draw,priors)
ZT_0 = [];
Y_0 = [];
ZTp1 = draw.Z(1,1);

%   form the ergodic probabilities
A = [eye(priors.K) -  draw.P';ones(1,priors.K)];
ee = zeros(priors.K+1,1);
ee(priors.K+1,1) = 1;
pi_ = inv(A' * A) * A' * ee;

for t = priors.T_full - priors.T:-1:1
    Pr_Zt_Ztp1 = draw.P(:,ZTp1) .* pi_ / pi_(ZTp1,:);
    %   draw the next aggregate regime
    u = unifrnd(0,1);
    pr = cumsum(Pr_Zt_Ztp1,1);
    Zt = find((u < pr),1);
    ZT_0 = [Zt;ZT_0];
    %   compute the expected value
    Yt = draw.mu_0 + draw.mu_1 .* draw.H(:,Zt);
    Y_0 = [Yt';Y_0];
    ZTp1 = Zt;
end,