%   this function generates the STs conditional on the X's and the current draw
function [ZT_0,Y_0] = HO_Z_cval_R(draw,priors)
ZT_0 = [];
Y_0 = [];
ZTm1 = draw.Z(priors.T,1);
for t = priors.T + 1:priors.T_full
    %   the transition probabilities Pr[Zt|Ztm1]
    Pr_Zt_Ztm1 = draw.P(:,ZTm1);
    %   draw the next aggregate regime
    u = unifrnd(0,1);
    pr = cumsum(Pr_Zt_Ztm1,1);
    Zt = find((u < pr),1);
    ZT_0 = [ZT_0;Zt];
    %   compute the expected value
    Yt = draw.mu_0 + draw.mu_1 .* draw.H(:,Zt);
    Y_0 = [Y_0;Yt'];
    ZTm1 = Zt;
end,
