function [finalres,meanz] = HO_c_comp_CV(priors,mres);
% sort each variable
a = 0.05 * priors.Nkeep;
b = 0.25 * priors.Nkeep;
c = 0.5 * priors.Nkeep;
d = 0.75 * priors.Nkeep;
e = 0.95 * priors.Nkeep;
finalres.key = ['05' '25' '50' '75' '95' 'av'];

% compute quantiles
mu_0 = sort(mres.mu_0,2);
finalres.mu_0 = [mu_0(:,a) mu_0(:,b) mu_0(:,c) mu_0(:,d) mu_0(:,e) mean(mu_0,2)];
clear mu_0;

mu_1 = sort(mres.mu_1,2);
finalres.mu_1 = [mu_1(:,a) mu_1(:,b) mu_1(:,c) mu_1(:,d) mu_1(:,e) mean(mu_1,2)];
clear mu_1;

sigsq = sort(mres.sigsq,2);
finalres.sigsq = [sigsq(:,a) sigsq(:,b) sigsq(:,c) sigsq(:,d) sigsq(:,e) mean(sigsq,2)];
clear sigsq;

P = sort(mres.P,3);
finalres.P = cat(3,P(:,:,a),P(:,:,b),P(:,:,c),P(:,:,d),P(:,:,e),mean(P,3));
clear P;

ZED = sum(mres.ZED,3);
finalres.ZED = ZED/priors.Nkeep;
clear ZED;

KAY = sum(mres.KAY,3);
finalres.KAY = KAY/priors.Nkeep;
clear KAY;

beta_ = sort(mres.beta,3);
finalres.beta = cat(3,beta_(:,:,a),beta_(:,:,b),beta_(:,:,c),beta_(:,:,d),beta_(:,:,e),mean(beta_,3));
clear beta_;

meanz.P = finalres.P(:,:,6);
meanz.mu_0 = finalres.mu_0(:,6);
meanz.mu_1 = finalres.mu_1(:,6);
meanz.KAY = finalres.KAY;
meanz.ZED = finalres.ZED;
meanz.sigsq = finalres.sigsq(:,6);
meanz.beta = finalres.beta(:,:,6);




